# serial 1

AC_DEFUN(AM_PATH_LISPDIR,
 [# If set to t, that means we are running in a shell under Emacs.
  # If you have an Emacs named "t", then use the full path.
  test "$EMACS" = t && EMACS=
  if test -z "${with_emacs}" ; then
    AC_PATH_PROG(EMACS, emacs xemacs, no)
  else
    EMACS=${with_emacs}
  fi
  if test "$EMACS" != "no"; then
    AC_MSG_CHECKING([where .elc files should go])
    dnl Set default value
    lispdir="\$(datadir)/emacs/site-lisp"
    if test "x$prefix" = "xNONE"; then
      if test -d $ac_default_prefix/share/emacs/site-lisp; then
	lispdir="\$(prefix)/share/emacs/site-lisp/egg"
      else
	if test -d $ac_default_prefix/lib/emacs/site-lisp; then
	  lispdir="\$(prefix)/lib/emacs/site-lisp/egg"
	fi
      fi
    else
      if test -d $prefix/share/emacs/site-lisp; then
	lispdir="\$(prefix)/share/emacs/site-lisp/egg"
      else
	if test -d $prefix/lib/emacs/site-lisp; then
	  lispdir="\$(prefix)/lib/emacs/site-lisp/egg"
	fi
      fi
    fi
    AC_MSG_RESULT($lispdir)
  fi
  AC_SUBST(lispdir)])

AC_DEFUN(AM_PATH_EMACS_SRC,
 [AC_MSG_CHECKING([Emacs source directory])
  with_emacs_src=`${EMACS} -batch -eval "(princ source-directory)"`
  AC_MSG_RESULT($with_emacs_src)])

AC_DEFUN(AM_PATH_WNN_INCLUDES,
 [if test -f /usr/local/include/wnn/commonhd.h; then
    with_wnn_includes=/usr/local/include/wnn
  elif test -f /usr/include/wnn/commonhd.h; then
    with_wnn_includes=/usr/include/wnn
  elif test -f /usr/local/include/commonhd.h; then
    with_wnn_includes=/usr/local/include
  elif test -f /usr/include/commonhd.h; then
    with_wnn_includes=/usr/include
  else
    AC_MSG_ERROR(Not Wnn include files found.)
  fi
  AC_MSG_RESULT(${with_wnn_includes})])
    
AC_DEFUN(AM_PATH_WNN_LIBRARIES,
 [if test -f /usr/local/lib/libwnn.a; then
    with_wnn_libraries=/usr/local/lib
  elif test -f /usr/local/lib/libwnn.so; then
    with_wnn_libraries=/usr/local/lib
  elif test -f /usr/lib/libwnn.a; then
    with_wnn_libraries=/usr/lib
  elif test -f /usr/lib/libwnn.so; then
    with_wnn_libraries=/usr/lib
  else
    AC_MSG_ERROR(Not Wnn library files found.)
  fi
  AC_MSG_RESULT(${with_wnn_libraries})])
